> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Finish a Transaction

Finish a Transaction action is used when the transaction was put in an `AuthorizationPending` status and the Transaction can now be completed. This call is relevant for PayPal flow, carrier billing, and for 3DS implementation.

## HTTP Request

`POST https://api.vindicia.com/transactions/:transaction/actions/finish`

## Route (URL) Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| transaction | n/a | The **id** or the **vid** of the Transaction to finish | Yes |

## Query Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| `sca_token` | n/a | strong customer authentication (sca) token is the JWT token generated to communicate with the authentication provider. It is required in the case of a Transaction that was challenged by 3DS authentication. | Yes for 3DS support |
| confirmationCode | n/a | Set this to the code the carrier sent to your customer’s phone, or to `true` if Boku redirected the customer to your Success web page (`returnUrl`). If Boku redirected the customer to your Failure page, set this to `false`. | Yes for carrier billing |

## Accepts

None.

## Returns

JSON - A *minified* [Transaction](Transactions) object.

**Parent topic:**[Transactions](../topics/Transactions)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.